﻿@model IEnumerable<WebFBX.Models.ProductosModels>

@{
    Layout = null;
    int total = 0;
    int i = 0;
    string disponible = "";
    int valorFaltaGratis = Convert.ToInt32(ViewData["valorFaltaGratis"]);
}

@if (valorFaltaGratis > 0)
{
    <div class="alert alert-success" role="alert">
        <i class="fas fa-truck fa-2x " style="color:#155724;position:absolute;top:9px; transform:scaleX(-1)"></i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Agregar <b>$@valorFaltaGratis.ToString("N0")</b> para que su envío sea gratuito!
    </div>
}

<div class="list-group" style="margin-bottom: 0 !important;">
    <a href="#" class="list-group-item active panel_success"><i class="glyphicon glyphicon-shopping-cart"></i> Carro </a>
    
    @foreach (var item in Model)
    {
        total = total + item.valor;
        i++;
        if (item.agotado == 0)
        {
            disponible = "Disponible";
        }
        else
        {
            disponible = "Agotado";

        }

        if (item.codigo == "405")
        {
            <a href="#" class="list-group-item" style="padding-top:25px;padding-bottom:25px;background-color: rgba(0,0,0,.03)">
                <span class="badge badge-pill badge-secondary" style="float: left !important" title="Cantidad de productos">@item.cantidad.ToString("N1")</span> x @item.nombre
                @*<span style="float: right;cursor:pointer;font-size: 12px; color: red;padding-top:2px;padding-left:3px" class="eliminar_carrito" data-codigo="@item.codigo" title="Elimininar"><i class="fas fa-trash"></i> </span>*@
                <span style="float: right;padding-right:15px">$@item.valor.ToString("N0")</span>
            </a>
        }
        else if (item.codigo == "406")
        {
            <a href="#" class="list-group-item" style="padding-top:25px;padding-bottom:25px;background-color: rgba(0, 0, 0, 0.07)">
                <span class="badge badge-pill badge-secondary" style="float: left !important" title="Cantidad de productos">@item.cantidad.ToString("N1")</span> x @item.nombre
                @*<span style="float: right;cursor:pointer;font-size: 12px; color: red;padding-top:2px;padding-left:3px" class="eliminar_carrito" data-codigo="@item.codigo" title="Elimininar"><i class="fas fa-trash"></i> </span>*@
                <span style="float: right;padding-right:15px">$@item.valor.ToString("N0")</span>
            </a>
        }
        else
        {
            <a href="#" class="list-group-item" style="padding-top:25px;padding-bottom:25px">
                <span class="badge badge-pill badge-secondary" style="float: left !important" title="Cantidad de productos">@item.cantidad.ToString("N1")</span> x @item.nombre <i class="fa fa-edit editar_cantidad" title="Editar Producto" data-cantidaddesde="@item.cantidaddesde" 
                                                                                                                                                                                   style="cursor:pointer;color:#ff7d20" data-nombre="@item.nombre" data-codigo="@item.codigo" data-pesogrs="@item.pesogrs"
                                                                                                                                                                                   data-cabeza="@item.cabeza" data-esquelon="@item.esquelon" data-presentacion="@item.presentacion"
                                                                                                                                                                                   data-precio="@item.precio.ToString("N0")" data-indpresentacion="@item.indpresentacion" data-indcabezaesquelon="@item.indcabezaesquelon"
                                                                                                                                                                                   data-agotado="@item.agotado" data-cantidad="@item.cantidad" data-disponible="@disponible"></i>
                <span style="float: right;cursor:pointer;font-size: 12px; color: red;padding-top:2px;padding-left:3px" class="eliminar_carrito" data-codigo="@item.codigo" title="Elimininar"><i class="fas fa-trash"></i> </span>
                <span style="float: right">$@item.valor.ToString("N0")</span>
            </a>
        }


    }
</div>
<div class="card" style="margin-bottom:5px;background-color: #e9e2f3 !important">
    <div class="card-header"><strong>Total <span class="total_pedido float-right">$@total.ToString("N0")</span></strong></div>
</div>
<div class="row">
    <div class="col-6" style="padding-right: 6px !important">
        <button type="button" class="btn btn-primary" id="guardar_pedido" style="width:100% !important">
            <!--fas fa-money-check -->
            <span class="fas fa-credit-card"></span> Finalizar Compra
        </button>
    </div>
    <div class="col-6"  style="padding-left: 6px !important">
        <button type="button" class="btn btn-success" id="seguir_comprando" style="width:100% !important">
            <span class="fas fa-undo"></span>Seguir Comprando
        </button>
    </div>

</div>


<br />
<br />
@*<div class="info_pedido text-center">
        Los despachos son de martes de Domingo. Los pedidos confirmados antes de las 22:00hrs serán despachados al día siguiente.
        <br /><br />Al hacer tu pedido nos comunicaremos vía watshapp para confirmarlo y enviarlo a producción.
    </div>*@



<input type="hidden" id="contador_hidden" value="@ViewData["contador"]" />

<script type="text/javascript" class="init">

    $(document).ready(function () {

        $('.editar_cantidad').on('click', function (e) {
            e.preventDefault();
            debugger;
            $("#id_form_producto_edit").each(function () { this.reset(); });
            var nombre = $(this).data("nombre");
            var codigo = $(this).data("codigo");
            var disponible = $(this).data("disponible");
            var agotado = $(this).data("agotado");
            //var marca = $(this).data("marca");
            var precio = $(this).data("precio");
            var cantidaddesde = $(this).data("cantidaddesde").toString().replace(",",".");
            var cantidad = $(this).data("cantidad").toString().replace(",", ".");
            var presentacion = $(this).data("presentacion");
            var esquelon = $(this).data("esquelon");
            var cabeza = $(this).data("cabeza");
            $("#presentacion_edit").val(presentacion);
            var indpresentacion = $(this).data("indpresentacion");
            var indcabezaesquelon = $(this).data("indcabezaesquelon");

            if (parseInt(esquelon) == 1) {
                $("#cabeza_edit").prop("checked", true);
            }
            if (parseInt(cabeza) == 1) {
                $("#esquelon_edit").prop("checked", true);
            }
            listarPresentacion(indpresentacion);

            if (indpresentacion > 0) {
                $("#dvpresentacion").removeClass("ocultar");
                $("#presentacion_edit").val(presentacion);
            } else {
                $("#dvpresentacion").addClass("ocultar");
            }
            if (indcabezaesquelon == 1) {
                $("#divcabeza_esquelon").removeClass("ocultar");
            } else {
                $("#divcabeza_esquelon").addClass("ocultar");
            }

            cantidad = parseFloat(cantidad);
            var valor = cantidad * parseInt(precio.replace(/\./g, ''));
            $("#cantidaddesde_edit").val(cantidaddesde);
            $("#prodcantidad_edit").val(cantidad.toString().replace('.', ','));
            $("#prodcantidad_edit").attr("min", cantidaddesde);
            $("#prodnombre_edit").html(nombre);
            $("#prodcodigo_edit").val(codigo);
            $("#prodprecio_edit").html("$" + precio);
            //$("#prodmarca_edit").html("Marca: " + marca);

            $("#prodstock_edit").html("(" + disponible + ")");
            $("#agotado").val(agotado);
            $("#prodvalor_edit").html("$ " + Moneda(valor));

            obtieneFoto_edit(codigo);
            $("#modal_modificar_carrito").modal("show");

        });

        $('.eliminar_carrito').on('click', function (e) {
            e.preventDefault();
            var codigo = $(this).data('codigo');
            codigo_seleccionado = codigo;
            $("#codigocarrito_eliminar_hidden").val(codigo);
            $("#modal_carrito_eliminar").modal("show");
        });
        $('#seguir_comprando').on('click', function (e) {
            e.preventDefault();
            listado_de_familias("");
        });
        $('#guardar_pedido').on('click', function (e) {
            e.preventDefault();
            var retorno = revisa_cabezaesquelonpresentacion(carrito);
            if (retorno == false) {
                return false;
            }
            $("#id_form_cliente").each(function () { this.reset(); });
            $("#montodescuento").html("");
            $("#modal_guardar_cliente").modal("show");
            $("#aplicadescuento").prop("disabled", false);
            var total_p = $(".total_pedido").html();
            $("#total").val(total_p);
        });


    });
</script>